[
{
    blockid=access;
    help=service_http_access_access;
    localvar={
	.delimiter="$";
	.allow.help="(\u30c7\u30fc\u30e2\u30f3,\u30af\u30e9\u30a4\u30a2\u30f3\u30c8) \u306e\u30da\u30a2\u304c\u3001\u6b21\u306e\u8a31\u53ef\u30d5\u30a3\u30eb\u30bf\u306b\u4e00\u81f4\u3059\u308b\u3068\u3001\u30b5\u30fc\u30d3\u30b9\u3078\u306e\u30a2\u30af\u30bb\u30b9\u304c\u8a31\u53ef\u3055\u308c\u307e\u3059\u3002";
	.allow.header="\u8a31\u53ef";
	.deny.help="(\u30c7\u30fc\u30e2\u30f3,\u30af\u30e9\u30a4\u30a2\u30f3\u30c8) \u306e\u30da\u30a2\u304c\u3001\u6b21\u306e\u62d2\u5426\u30d5\u30a3\u30eb\u30bf\u306b\u4e00\u81f4\u3059\u308b\u3068\u3001\u30b5\u30fc\u30d3\u30b9\u3078\u306e\u30a2\u30af\u30bb\u30b9\u304c\u62d2\u5426\u3055\u308c\u307e\u3059\u3002";
	.deny.header="\u62d2\u5426";
	.else.help="(\u30c7\u30fc\u30e2\u30f3,\u30af\u30e9\u30a4\u30a2\u30f3\u30c8) \u306e\u30da\u30a2\u304c\u3001\u4e0a\u8a18\u306e\u3069\u306e\u30d5\u30a3\u30eb\u30bf\u306b\u3082\u4e00\u81f4\u3057\u306a\u3044\u5834\u5408\u3001\u30a2\u30af\u30bb\u30b9\u304c\u8a31\u53ef\u3055\u308c\u307e\u3059\u3002";
	.allow.title="\u8a31\u53ef\u30d5\u30a3\u30eb\u30bf\u30a8\u30f3\u30c8\u30ea";
	.deny.title="\u62d2\u5426\u30d5\u30a3\u30eb\u30bf\u30a8\u30f3\u30c8\u30ea";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_access_allowdialog;
    localvar={
	.allowrule.help="\u8a31\u53ef\u30d5\u30a3\u30eb\u30bf:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_http_access_denydialog;
    localvar={
	.denyrule.help="\u62d2\u5426\u30d5\u30a3\u30eb\u30bf:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
